package com.xhkjedu.smarking.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsSubjectInvigilate;
import com.xhkjedu.smarking.vo.exam.EITeacherVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷科目监考分配表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsSubjectInvigilateMapper extends TkMapper<MsSubjectInvigilate> {
    //删除考试科目监考教师
    void delByMsId(@Param("msid") Integer msid);

    //根据考试科目id获取考试科目基本信息
    Map getSubjectByMsId(@Param("msid") Integer msid);

    //监考设置列表
    List<Map> listSubject(@Param("examid") Integer examid);

    //考试监考人
    List<EITeacherVo> listUserByMsIds(@Param("msids") String msids);

    //单科考试监考人
    List<Map> listByMsId(@Param("msid") Integer msid);

    //教师监考-监控列表
    List<Map> listJkSubject(@Param("examid") int examid, @Param("teacherid") Integer teacherid
            , @Param("msstate") Integer msstate, @Param("strtime") String strtime);

    //获取待监考数量
    Integer getJtJkSubjectNum(@Param("teacherid") Integer teacherid);

    //实时监控-教师监考班级
    Map<String, Object> getClassidsForJk(@Param("msid") Integer msid,@Param("teacherid") Integer teacherid);
}
